## extra-cmake-modules 5.74.0

=== debian/changelog ===
extra-cmake-modules (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:05 +0100

extra-cmake-modules (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:55:39 +0100

extra-cmake-modules (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Drop Recommends: qt5-default

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:29:50 +0100

extra-cmake-modules (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:06 +0100

extra-cmake-modules (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update build deps to work with sphinx 2.4

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:29:40 +0100

=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               dh-linktree,
               libjs-jquery,
               libjs-underscore,
               pkg-kde-tools (>= 0.15.16~),
               python3-distutils,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.qthelp,
               python3-sphinxcontrib.serializinghtml,
               qtdeclarative5-dev (>= 5.6.1),
               qttools5-dev (>= 5.6.1),
               qttools5-dev-tools (>= 5.6.1),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: qt5-qmake, qtbase5-dev
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.

## extra-cmake-modules 5.78.0

=== CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2006-2013 Alex Neundorf <neundorf@kde.org>
# SPDX-FileCopyrightText: 2014-2015 Alex Merry <alex.merry@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================

cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

#
# Preliminary setup
#

set(VERSION "5.78.0") # handled by release scripts

if (POLICY CMP0048)
    cmake_policy(SET CMP0048 NEW)
    project(ECM
        VERSION "${VERSION}"
        LANGUAGES NONE
    )
else()
    project(ECM NONE)
    include("${CMAKE_SOURCE_DIR}/modules/ECMSetupVersion.cmake")
    ecm_setup_version(
        "${VERSION}"
        VARIABLE_PREFIX ECM
    )
endif()


#
# Includes
#

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(FeatureSummary)


#
# Installation paths
#

set(SHARE_INSTALL_DIR share
    CACHE
    PATH
    "read-only architecture-independent data"
)

set(CMAKECONFIG_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/cmake/)

set(FIND_MODULES_INSTALL_DIR      ${SHARE_INSTALL_DIR}/ECM/find-modules/)
set(KDE_MODULES_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/kde-modules/)
set(MODULES_INSTALL_DIR           ${SHARE_INSTALL_DIR}/ECM/modules/)
set(TOOLCHAIN_MODULES_INSTALL_DIR ${SHARE_INSTALL_DIR}/ECM/toolchain/)

set(DOC_INSTALL_DIR ${SHARE_INSTALL_DIR}/doc/ECM
    CACHE
    PATH
    "HTML and QtHelp documentation"
)
set(MAN_INSTALL_DIR ${SHARE_INSTALL_DIR}/man
    CACHE
    PATH
    "man pages"
)


#
# Documentation
#

add_subdirectory(docs)


#
# Tests
#

option(BUILD_TESTING "Build automated tests." ON)
add_feature_info(BUILD_TESTING BUILD_TESTING "Build automated tests.")
if(BUILD_TESTING)
    enable_testing()
    add_subdirectory(tests)
endif()


#
# Install modules
#

file(GLOB installModuleFiles ${CMAKE_SOURCE_DIR}/modules/*[^~])
install(FILES ${installModuleFiles} DESTINATION ${MODULES_INSTALL_DIR})

file(GLOB installTestModuleFiles ${CMAKE_SOURCE_DIR}/test-modules/*[^~])
install(FILES ${installTestModuleFiles} DESTINATION ${SHARE_INSTALL_DIR}/ECM/test-modules)

file(GLOB installKdeModuleFiles ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
install(FILES ${installKdeModuleFiles} DESTINATION ${KDE_MODULES_INSTALL_DIR})

file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*.cmake ${CMAKE_SOURCE_DIR}/find-modules/*.py)
install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

file(GLOB installToolchainModuleFiles ${CMAKE_SOURCE_DIR}/toolchain/*[^~])
install(FILES ${installToolchainModuleFiles} DESTINATION ${TOOLCHAIN_MODULES_INSTALL_DIR})


#
# Config.cmake file
#

include(CMakePackageConfigHelpers)

configure_package_config_file(
    ECMConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
    INSTALL_DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS
        FIND_MODULES_INSTALL_DIR
        KDE_MODULES_INSTALL_DIR
        MODULES_INSTALL_DIR
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    VERSION
        "${PROJECT_VERSION}"
    COMPATIBILITY
        AnyNewerVersion
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
)


#
# Packaging
#

set(CPACK_PACKAGE_NAME extra-cmake-modules)
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_SYSTEM_NAME "generic")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SET_DESTDIR FALSE)

include(CPack)


#
# Feature summary
#

feature_summary(
    FATAL_ON_MISSING_REQUIRED_PACKAGES
    WHAT ALL
)

=== tests/CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2011 Alex Neundorf <neundorf@kde.org>
# SPDX-FileCopyrightText: 2014-2015 Alex Merry <alex.merry@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================

# We need to set a language to find CMake packages installed in
# architecture-dependent locations (like /usr/lib64).
# We only set this for the tests, making sure it does not interfere
# with other files (as ECM itself is architecture-independent).
project(ECMTests C)

find_package(Qt5LinguistTools CONFIG)
set_package_properties(
    Qt5LinguistTools
    PROPERTIES
        URL "https://www.qt.io/"
        DESCRIPTION "Qt5 linguist tools."
        TYPE OPTIONAL
        PURPOSE "Required to run tests for the ECMPoQmTools module."
)

find_package(Qt5Core CONFIG)
set_package_properties(
    Qt5Core
    PROPERTIES
        URL "https://www.qt.io/"
        DESCRIPTION "Qt5 core library."
        TYPE OPTIONAL
        PURPOSE "Required to run tests for the ECMQtDeclareLoggingCategory module, and for some tests of the KDEInstallDirs module."
)

add_subdirectory(ECMAddTests)
add_subdirectory(ECMGenerateExportHeaderTest)
add_subdirectory(ECMGenerateHeadersTest)
add_subdirectory(ECMSetupVersionTest)
add_subdirectory(ECMGeneratePkgConfigFile)

# a macro for tests that have a simple format where the name matches the
# directory and project
macro(add_test_variant NAME BASE COMMAND)
    string(REPLACE "." "/" src_dir "${BASE}")
    string(REPLACE "." "/" build_dir "${NAME}")
    string(REGEX REPLACE "[^.]*\\." "" proj "${NAME}")
    add_test(${NAME} ${CMAKE_CTEST_COMMAND}
        --build-and-test
        "${CMAKE_CURRENT_SOURCE_DIR}/${src_dir}"
        "${CMAKE_CURRENT_BINARY_DIR}/${build_dir}"
        --build-two-config
        --build-generator ${CMAKE_GENERATOR}
        --build-makeprogram ${CMAKE_MAKE_PROGRAM}
        --build-project ${proj}
        ${${NAME}_EXTRA_OPTIONS}
        --test-command ${COMMAND} ${ARGN})
endmacro()
macro(add_test_macro NAME)
    add_test_variant("${NAME}" "${NAME}" ${ARGN})
endmacro()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/find-modules)

# enforce finding of ReuseTool in parent scope of module, beause
# only here the module path can point into the source directory
find_package(ReuseTool)
add_subdirectory(ECMCheckOutboundLicenseTest)

# Skip if PyQt not available
find_file(SIP_Qt5Core_Mod_FILE
    NAMES QtCoremod.sip
    PATH_SUFFIXES share/sip/PyQt5/QtCore
)

if(NOT SIP_Qt5Core_Mod_FILE)
    message(STATUS "WARNING: skipping tests that require PyQt")
else()
  find_package(PythonModuleGeneration)
  foreach(pyversion 2 3)
    if (GPB_PYTHON${pyversion}_COMMAND)
      if (pythonCommands)
        list(APPEND pythonCommands " && ")
      endif()
      set(pythonCommands
        ${GPB_PYTHON${pyversion}_COMMAND}
        "${CMAKE_CURRENT_SOURCE_DIR}/GenerateSipBindings/testscript.py"
        "${CMAKE_CURRENT_BINARY_DIR}/GenerateSipBindings/py${pyversion}"
      )
    endif()
  endforeach()
  if (pythonCommands)
    add_test_macro(GenerateSipBindings ${pythonCommands})
 else()
    message(STATUS "WARNING: skipping GenerateSipBindings test")
  endif()
endif()

add_test_macro(ExecuteCoreModules dummy)
add_test_macro(ExecuteKDEModules dummy)
add_test_macro(KDEFetchTranslations dummy)

add_test_variant(KDEInstallDirsTest.vars_in_sync_no_args
                 KDEInstallDirsTest.vars_in_sync dummy)
add_test_macro(KDEInstallDirsTest.not_cache_variable dummy)

set(KDEInstallDirsTest.vars_in_sync_kde_arg_EXTRA_OPTIONS
    --build-options -DKDE_INSTALL_BINDIR=altbin
                    -DBINDIR_expected_value=altbin
                    -DCMAKE_WARN_DEPRECATED=TRUE
    )
add_test_variant(KDEInstallDirsTest.vars_in_sync_kde_arg
                 KDEInstallDirsTest.vars_in_sync dummy)

set(KDEInstallDirsTest.vars_in_sync_cmake_arg_EXTRA_OPTIONS
    --build-options -DCMAKE_INSTALL_BINDIR=altbin
                    -DBINDIR_expected_value=altbin
                    -DCMAKE_WARN_DEPRECATED=TRUE
    )
add_test_variant(KDEInstallDirsTest.vars_in_sync_cmake_arg
                 KDEInstallDirsTest.vars_in_sync dummy)

set(KDEInstallDirsTest.vars_in_sync_oldstyle_arg_EXTRA_OPTIONS
    --build-options -DBIN_INSTALL_DIR=altbin
                    -DBINDIR_expected_value=altbin
                    -DCMAKE_WARN_DEPRECATED=TRUE
    )
add_test_variant(KDEInstallDirsTest.vars_in_sync_oldstyle_arg
                 KDEInstallDirsTest.vars_in_sync dummy)

set(KDEInstallDirsTest.relative_or_absolute_usr_EXTRA_OPTIONS
    --build-options -DCMAKE_INSTALL_PREFIX=/usr
                    -DKDE_INSTALL_USE_QT_SYS_PATHS=FALSE
                    -DAUTOSTARTDIR_should_be_absolute=TRUE
                    -DCONFDIR_should_be_absolute=TRUE
                    -DSYSCONFDIR_should_be_absolute=TRUE
    )
add_test_variant(KDEInstallDirsTest.relative_or_absolute_usr
                 KDEInstallDirsTest.relative_or_absolute dummy)

if (TARGET Qt5::qmake)
    set(KDEInstallDirsTest.relative_or_absolute_qt_EXTRA_OPTIONS
        --build-options -DCMAKE_INSTALL_PREFIX=/tmp
                        -DKDE_INSTALL_USE_QT_SYS_PATHS=TRUE
                        -DPLUGINDIR_should_be_absolute=TRUE
                        -DQMLDIR_should_be_absolute=TRUE
                        -DQTQCHDIR_should_be_absolute=TRUE
                        -DQTPLUGINDIR_should_be_absolute=TRUE
                        -DQTQUICKIMPORTSDIR_should_be_absolute=TRUE
        )
    add_test_variant(KDEInstallDirsTest.relative_or_absolute_qt
                     KDEInstallDirsTest.relative_or_absolute dummy)
endif ()
if (Qt5Core_FOUND)
    add_test_macro(ECMQtDeclareLoggingCategoryTest testmain)
endif()

add_test_macro(FindModules dummy)
add_test_macro(UseFindModules dummy)

set(ECMAddAppIconTest_EXTRA_OPTIONS
    --build-target all
    --build-options
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ECMAddAppIconTest/InstallDirectory"
)
add_test_macro(ECMAddAppIconTest
    ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/ECMAddAppIconTest/check_files.cmake"
)

set(ECMInstallIconsTest_EXTRA_OPTIONS
    --build-target install
    --build-options
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ECMInstallIconsTest/InstallDirectory"
)
add_test_macro(ECMInstallIconsTest
    ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/ECMInstallIconsTest/check_tree.cmake"
)

set(KDEPackageAppTemplatesTest_EXTRA_OPTIONS
    --build-target install
    --build-options
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/KDEPackageAppTemplatesTest/InstallDirectory"
)
add_test_macro(KDEPackageAppTemplatesTest
    ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/KDEPackageAppTemplatesTest/check.cmake"
)

if (Qt5Core_FOUND AND Qt5LinguistTools_FOUND)
    set(ECMPoQmToolsTest_EXTRA_OPTIONS
        --build-target install
        --build-options
            "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ECMPoQmToolsTest/InstallDirectory"
    )
    add_test_macro(ECMPoQmToolsTest
        ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/ECMPoQmToolsTest/check.cmake"
    )
endif()

find_package(Qt5Quick CONFIG)
set_package_properties(
    Qt5Quick
    PROPERTIES
        URL "https://www.qt.io/"
        DESCRIPTION "Qt5 Quick library."
        TYPE OPTIONAL
        PURPOSE "Required to run tests for the ECMQMLModules module."
)
if (TARGET Qt5::Quick)
    add_test_macro(ECMQMLModules dummy)
endif()

set(ECMConfiguredInstallTest_EXTRA_OPTIONS
    --build-target install
    --build-options
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ECMConfiguredInstallTest/InstallDirectory"
)
add_test_macro(ECMConfiguredInstallTest
    ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/ECMConfiguredInstallTest/check_tree.cmake"
)

set(ECMGenerateDBusServiceFileTest_EXTRA_OPTIONS
    --build-target install
    --build-options
        "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_CURRENT_BINARY_DIR}/ECMGenerateDBusServiceFileTest/InstallDirectory"
)
add_test_macro(ECMGenerateDBusServiceFileTest
    ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/ECMGenerateDBusServiceFileTest/check_tree.cmake"
)

=== tests/ExecuteCoreModules/CMakeLists.txt ===
project(ExecuteCoreModules)
cmake_minimum_required(VERSION 3.5)

file(GLOB all_core_modules "${CMAKE_CURRENT_SOURCE_DIR}/../../modules/*cmake")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../find-modules)

foreach(module ${all_core_modules})
    message(STATUS "module: ${module}")
    include("${module}")
endforeach()

add_executable(dummy main.c)

=== attic/modules-tests/PCRE/CMakeLists.txt ===
include("${CMAKE_CURRENT_SOURCE_DIR}/../TestFindPackage.cmake")

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../modules" )

test_find_package(PCRE  PCRE  INCLUDE_DIR LIBRARIES)

=== tests/ECMGenerateExportHeaderTest/consumer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(consumer)

include(CheckCXXSourceCompiles)
include(CMakeParseArguments)

include(../../test_helpers.cmake)

include("${CMAKE_CURRENT_BINARY_DIR}/../installation/${LIBRARY}/lib/library/LibraryTargets.cmake")

# map any "CURRENT" value to library version string
# keep version in sync with the one used in library/CMakeLists.txt
set(library_version 2.40.0)
if(LIBRARY_DISABLE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT")
    set(LIBRARY_DISABLE_DEPRECATED_BEFORE_AND_AT ${library_version})
endif()
if(DEPRECATED_EXCLUDED_BEFORE_AND_AT STREQUAL "CURRENT")
    set(DEPRECATED_EXCLUDED_BEFORE_AND_AT ${library_version})
endif()

# load the test variant specific testAPI method
include(testAPI_${TEST_VARIANT}.cmake)

# for each API element test their visibility to the compiler and if a warning is emitted
set(_code "Enum enumerator = Enumerator_deprecatedAt2_0;")
testAPI(_code DEPRECATED_AT 2.0 BUILD_TIME_ONLY_DISABLABLE NO_WARNING)

set(_code "Enum enumerator = Enumerator_not_deprecated;")
testAPI(_code)

set(_code "function_deprecatedAt2_0();")
testAPI(_code DEPRECATED_AT 2.0)

set(_code "function_deprecatedAt2_12();")
testAPI(_code DEPRECATED_AT 2.12)

set(_code "function_not_deprecated();")
testAPI(_code)

set(_code "Class().method_deprecatedAt2_0();")
testAPI(_code DEPRECATED_AT 2.0 BUILD_TIME_ONLY_DISABLABLE)

set(_code "Class().method_deprecatedAt2_12();")
testAPI(_code DEPRECATED_AT 2.12 BUILD_TIME_ONLY_DISABLABLE)

set(_code "Class().method_not_deprecated();")
testAPI(_code)

add_executable(dummy main.cpp)

=== tests/ECMSetupVersionTest/new_explicit_header/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(new_explicit_header VERSION 1.5.6.7)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(2.3.4
    VARIABLE_PREFIX Foo
    VERSION_HEADER "ecm_new_explicit_header_version.h"
)

include(../version_helpers.cmake)
project_version_var_checks(1.5.6.7)
version_var_checks(Foo 2.3.4)
assert_var_num_value(Foo_SOVERSION 2)

add_executable(check_header main.c)
target_include_directories(check_header PRIVATE "${CMAKE_CURRENT_BINARY_DIR}")

=== tests/ECMSetupVersionTest/new_project_version_file/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(new_project_version_file VERSION 2.3.4)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(PROJECT
    PACKAGE_VERSION_FILE FooVersion.cmake
)

include(../version_helpers.cmake)
# NB: name comes from project() command
standard_version_var_checks(new_project_version_file 2.3.4)
AnyNewer_2_3_4_checks("${CMAKE_CURRENT_BINARY_DIR}/FooVersion.cmake")

add_executable(dummy main.c)

=== debian/changelog ===
extra-cmake-modules (5.78.0-3) unstable; urgency=medium

  * Cherry-pick upstream fix for tar invocation in app templates.

 -- Norbert Preining <norbert@preining.info>  Fri, 22 Jan 2021 22:43:12 +0900

extra-cmake-modules (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:17 +0900

extra-cmake-modules (5.78.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch to section devel (Closes: #978006).

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Remove patch tar_command_reproducible.diff, included upstream.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

extra-cmake-modules (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:32 +0900

extra-cmake-modules (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Add myself to Uploaders.
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

extra-cmake-modules (5.74.0-3) unstable; urgency=medium

  * Team upload to unstable.
  * Add patch to make KDEPackageAppTemplates to create reproducible
    tarball (Closes:#828021).

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:11:24 +0200

extra-cmake-modules (5.74.0-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Move documentation own extra-cmake-modules-doc.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 19:14:46 +0200

extra-cmake-modules (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update repository related entries to metadata file.
  * Update Bug-* entries to metadata file.
  * replace dh_linktree with dh_sphinxdoc.
  * Cleanup using for Depends variables.
  * Register documentation with doc-base.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:43:46 +0200

extra-cmake-modules (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update all instances of source to use new invent.kde.org
    address.
    - Update control Homepage as projects.kde.org is dead.
    - Update copyright Source to point to invent.
    - Update upstream metadata to point to invent.
  * Update jquery path in linktrees to reflect latest
    release path change. Set version in control to make
    sure this change does not impact earlier versions.
    Thanks Norbert Preining.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:26 +0200

extra-cmake-modules (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.69.0).
  * Remove unused lintian-override file.
  * Add Rules-Requires-Root: no.
  * Bump compat level to 13.
  * Fix debian-rules-uses-as-needed-linker-flag.
  * Adding sphinxcontrib to B-D.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:53:18 +0200

=== debian/control ===
Source: extra-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
               libjs-underscore <!nodoc>,
               pkg-kde-tools (>= 0.15.16~),
               python3-distutils <!nodoc>,
               python3-setuptools <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinxcontrib.qthelp <!nodoc>,
               python3-sphinxcontrib.serializinghtml <!nodoc>,
               qtdeclarative5-dev,
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Build-Depends-Indep: dh-sequence-sphinxdoc
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}
Suggests: qt5-qmake, qtbase5-dev
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
Breaks: libkf5package-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5runner-dev (<< 5.54),

Package: extra-cmake-modules-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: extra-cmake-modules (<< 5.74.0-1)
Replaces: extra-cmake-modules (<< 5.74.0-1)
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
 .
 This package contains HTML documentation and man pages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## extra-cmake-modules 5.80.0

=== debian/changelog ===
extra-cmake-modules (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:05:56 +0000

extra-cmake-modules (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)
  * Drop included upstream-0fb09332-fix-tar-arguments-for-
    apptemplates.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:25 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qtdeclarative5-dev,
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Build-Depends-Indep: dh-sequence-sphinxdoc
+Build-Depends-Indep: dh-sequence-sphinxdoc,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
@@ -26,7 +26,7 @@
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It

## extra-cmake-modules 5.86.0

=== debian/changelog ===
extra-cmake-modules (5.86.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Oct 2021 08:49:36 -0700

extra-cmake-modules (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:48:47 +0900

extra-cmake-modules (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:44 +0900

extra-cmake-modules (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:05 +0900

extra-cmake-modules (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:58 +0900

extra-cmake-modules (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:12:37 +0900

extra-cmake-modules (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Build with hardening=+all build hardening flag.

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:02:40 +0900

extra-cmake-modules (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:16 +0900

extra-cmake-modules (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:31 +0900

extra-cmake-modules (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Drop unused qt build deps (Closes: #981159).
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:26 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
                libjs-underscore <!nodoc>,
@@ -13,12 +13,9 @@
                python3-setuptools <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
-               qtdeclarative5-dev,
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
-Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.5.1
+               python3-sphinxcontrib.serializinghtml <!nodoc>
+Build-Depends-Indep: dh-sequence-sphinxdoc
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
@@ -26,7 +23,7 @@
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
@@ -40,7 +37,7 @@
  downstream users.
 Breaks: libkf5package-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54),
+        libkf5runner-dev (<< 5.54)
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## extra-cmake-modules 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #=============================================================================
 
-cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 #
 # Preliminary setup
 #
 
-set(VERSION "5.78.0") # handled by release scripts
+set(VERSION "5.92.0") # handled by release scripts
 
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
@@ -96,8 +96,11 @@
 file(GLOB installTestModuleFiles ${CMAKE_SOURCE_DIR}/test-modules/*[^~])
 install(FILES ${installTestModuleFiles} DESTINATION ${SHARE_INSTALL_DIR}/ECM/test-modules)
 
-file(GLOB installKdeModuleFiles ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
+file(GLOB installKdeModuleFiles LIST_DIRECTORIES FALSE ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
 install(FILES ${installKdeModuleFiles} DESTINATION ${KDE_MODULES_INSTALL_DIR})
+# The scripts need to be executable
+file(GLOB installKDECommitHooks ${CMAKE_SOURCE_DIR}/kde-modules/kde-git-commit-hooks/*[^~])
+install(PROGRAMS ${installKDECommitHooks} DESTINATION ${KDE_MODULES_INSTALL_DIR}/kde-git-commit-hooks)
 
 file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*.cmake ${CMAKE_SOURCE_DIR}/find-modules/*.py)
 install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

=== tests/ECMQtDeclareLoggingCategoryTest/CMakeLists.txt ===
project(ECMQtDeclareLoggingCategoryTest)
cmake_minimum_required(VERSION 3.5)
set(ECM_MODULE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../modules")

set(CMAKE_MODULE_PATH ${ECM_MODULE_DIR})

include(QtVersionOption)
include(ECMQtDeclareLoggingCategory)
include(CMakeParseArguments)

ecm_qt_declare_logging_category(
    sources
    HEADER "log1.h"
    IDENTIFIER "log1"
    CATEGORY_NAME "log.one"
    OLD_CATEGORY_NAMES "log1old"
    DESCRIPTION "log 1"
    EXPORT LOG
)

ecm_qt_declare_logging_category(
    sources
    HEADER "log2.h"
    IDENTIFIER "foo::bar::log2"
    CATEGORY_NAME "log.two"
    DEFAULT_SEVERITY Info
    DESCRIPTION "log 2"
    EXPORT LOG
)

ecm_qt_declare_logging_category(
    sources
    HEADER "${CMAKE_CURRENT_BINARY_DIR}/log3.h"
    IDENTIFIER "log3"
    CATEGORY_NAME "three"
    DEFAULT_SEVERITY Critical
)

ecm_qt_export_logging_category(
    IDENTIFIER "log4"
    CATEGORY_NAME "log.four"
    OLD_CATEGORY_NAMES "logfouroldest" "log4old"
    DEFAULT_SEVERITY Warning
    EXPORT LOG
    DESCRIPTION "log 4"
)

find_package(Qt${QT_MAJOR_VERSION}Core REQUIRED)

add_executable(testmain testmain.cpp ${sources})
target_include_directories(testmain
    PRIVATE
        "${CMAKE_CURRENT_BINARY_DIR}"
)
target_link_libraries(testmain
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Core
)

ecm_qt_install_logging_categories(
    EXPORT LOG
    FILE log.categories
    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/qlogging-categories5"
)

# this will be run by CTest
configure_file(check.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/check.cmake" @ONLY)

=== tests/ECMGenerateExportHeaderTest/consumer/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,26 @@
 
 # for each API element test their visibility to the compiler and if a warning is emitted
 set(_code "Enum enumerator = Enumerator_deprecatedAt2_0;")
-testAPI(_code DEPRECATED_AT 2.0 BUILD_TIME_ONLY_DISABLABLE NO_WARNING)
+testAPI(_code DEPRECATED_AT 2.0 CXX_STANDARD 11 BUILD_TIME_ONLY_DISABLABLE NO_WARNING)
+
+set(_code "Enum enumerator = Enumerator_deprecatedAt2_0;")
+# we do not yet support enumerator warnings with MSVC
+if(MSVC)
+    testAPI(_code DEPRECATED_AT 2.0 CXX_STANDARD 17 BUILD_TIME_ONLY_DISABLABLE NO_WARNING)
+else()
+    testAPI(_code DEPRECATED_AT 2.0 CXX_STANDARD 17 BUILD_TIME_ONLY_DISABLABLE)
+endif()
+
+set(_code "Enum enumerator = Enumerator_deprecatedAt2_12;")
+testAPI(_code DEPRECATED_AT 2.12 CXX_STANDARD 11 NO_WARNING)
+
+set(_code "Enum enumerator = Enumerator_deprecatedAt2_12;")
+# we do not yet support enumerator warnings with MSVC
+if(MSVC)
+    testAPI(_code DEPRECATED_AT 2.12 CXX_STANDARD 17 NO_WARNING)
+else()
+    testAPI(_code DEPRECATED_AT 2.12 CXX_STANDARD 17)
+endif()
 
 set(_code "Enum enumerator = Enumerator_not_deprecated;")
 testAPI(_code)

=== tests/ECMSetupVersionTest/old_header_abspath/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

cmake_policy(SET CMP0048 OLD)
project(old_header_abspath)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(2.3.4
    VARIABLE_PREFIX Foo
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/../ecm_old_header_abspath_version.h"
)

include(../version_helpers.cmake)

standard_version_var_checks(Foo 2.3.4)

add_executable(check_header main.c)
target_include_directories(check_header PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/..")

=== debian/changelog ===
extra-cmake-modules (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:05 +0000

extra-cmake-modules (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:06:30 +0000

extra-cmake-modules (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:44:41 +0000

extra-cmake-modules (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:17 +0000

extra-cmake-modules (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:14 +0000

extra-cmake-modules (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add back qttools5-dev-tools build dep.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Nov 2021 18:48:12 +0000

extra-cmake-modules (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
@@ -13,17 +13,18 @@
                python3-setuptools <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>
-Build-Depends-Indep: dh-sequence-sphinxdoc
+               python3-sphinxcontrib.serializinghtml <!nodoc>,
+               qttools5-dev-tools,
+Build-Depends-Indep: dh-sequence-sphinxdoc,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
@@ -37,7 +38,7 @@
  downstream users.
 Breaks: libkf5package-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54)
+        libkf5runner-dev (<< 5.54),
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>

## extra-cmake-modules 5.98.0

=== debian/changelog ===
extra-cmake-modules (5.98.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Sep 2022 16:27:47 -0700

extra-cmake-modules (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Add patch to re-add Hurd as a supported platform. It was lost when
    upstream defined the concept of supported platforms but was
    previously building fine in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:32 +0200

extra-cmake-modules (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:24 +0200

extra-cmake-modules (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:53 +0200

extra-cmake-modules (5.94.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Drop patch to disable fatal warnings as the issue has been fixed in
    binutils.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Jun 2022 19:38:55 +0200

extra-cmake-modules (5.94.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patch to disable fatal warnings as this makes many KDE fail to
    compile on MIPS.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 19:51:59 +0200

extra-cmake-modules (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

extra-cmake-modules (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:42 +0200

extra-cmake-modules (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Feb 2022 00:03:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
@@ -11,20 +12,19 @@
                pkg-kde-tools (>= 0.15.16~),
                python3-distutils <!nodoc>,
                python3-setuptools <!nodoc>,
-               python3-sphinx <!nodoc>,
+               python3-sphinx (>= 1.2~) <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
-               qttools5-dev-tools,
-Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.6.0
+               python3-sphinxcontrib.serializinghtml <!nodoc>
+Build-Depends-Indep: dh-sequence-sphinxdoc
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/extra-cmake-modules.git
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Suggests: qt5-qmake, qtbase5-dev
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
@@ -38,7 +38,7 @@
  downstream users.
 Breaks: libkf5package-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
-        libkf5runner-dev (<< 5.54),
+        libkf5runner-dev (<< 5.54)
 
 Package: extra-cmake-modules-doc
 Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## extra-cmake-modules 5.99.0+p20.04+tunstable+git20221107.0022

=== debian/changelog ===
extra-cmake-modules (5.99.0+p20.04+tunstable+git20221107.0022-0) focal; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 07 Nov 2022 00:22:49 +0000

extra-cmake-modules (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:49:57 +0000

extra-cmake-modules (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:21:58 +0000

extra-cmake-modules (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:02:41 +0000

extra-cmake-modules (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:19:49 +0000

extra-cmake-modules (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jan 2022 13:48:43 +0000

extra-cmake-modules (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:23:06 +0000

extra-cmake-modules (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:53:22 +0000

extra-cmake-modules (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 09:30:08 +0000

extra-cmake-modules (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:07:59 +0000

extra-cmake-modules (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:16:34 +0000

extra-cmake-modules (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:23:54 +0000

extra-cmake-modules (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:13:42 +0000

extra-cmake-modules (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:05:01 +0000

extra-cmake-modules (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:10:04 +0000

extra-cmake-modules (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:56:12 +0000

extra-cmake-modules (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:09:16 +0000

extra-cmake-modules (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:01:07 +0000

extra-cmake-modules (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:29:24 +0000

extra-cmake-modules (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:38:13 +0000

extra-cmake-modules (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:21:14 +0000

extra-cmake-modules (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:11:13 +0000

=== debian/control ===
Source: extra-cmake-modules
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               dh-linktree,
               libjs-jquery,
               libjs-underscore,
               pkg-kde-tools (>= 0.15.16~),
               python3-distutils,
               python3-setuptools,
               python3-sphinx,
               qtdeclarative5-dev,
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Vcs-Git: https://invent.kde.org/neon/kde/extra-cmake-modules.git
Vcs-Browser: https://invent.kde.org/neon/kde/extra-cmake-modules
Maintainer: Neon CI <neon@kde.org>

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qt5-default
Suggests: qt5-qmake, qtbase5-dev
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
Breaks: libkf5package-dev (<< 5.51),
        libkf5plasma-dev (<< 5.51),
        libkf5runner-dev (<< 5.51)
